Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002097TestLinkReportspublic2009-02-12 00:422015-05-03 08:55
Reporterhansolo 
Assigned Tofman 
PrioritynormalSeveritytweakReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 3 
Fixed in Version1.9.14 (2015 Q3) 
Summary0002097: automate report
DescriptionHi,
I searched the forum and mantis, but I might have missed it. If there is similiar question, please direct me to it.

I'm using TestLink 1.8 R3. On the "Report and Metrics", manually I query by select the "General Test Plan Metrics" with "Report Format"='MS Excel' and "Test Plan"=SomethingXXX. Then I got the Excel file which is very nicely format. However we have many TestPlans (each modules has its own test plan), is it possible to query from the top tree (see below Figure 1) so that there will be one big report or can be multiple reports specific to each test plan?

I can see that the function/script "resultsGeneral.php" is called with the format and test plan id as noted above.

Is it possible for me to run this "resultsGeneral.php" on the shell or is it possible for me to call this file from a shell/unix scripts?

If yes/no, at latest release 1.8 R4 and/or APIs, is there way for me to run this report and how?

thanks much,
hansolo


Figure 1
--------

Product ABC
|
|
|
|--------Module CCC (Test Plan CCC)
|
|
|--------Module AAAA (test Plan AAAA)
|
|
|--------Module DDDD (test plan DDDD)


TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browserfirefox
PHP Version5.2.6
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0006203)
sdalia (reporter)
2009-04-04 02:00

I did something similar but with shell scripts. I created array with all test plan ids, looped through it and got results: Passed,Failed,Not Run,Blocked so append that to a file. Basically if there are 3 test plan ids in array you will have 3 lines so just use that to sum up. Not the best way but it works
(0006204)
hansolo (reporter)
2009-04-04 02:14

sdalia,

I guess, I have to do the same as you did. Or learn PHP or .....

thanks
(0006205)
aksinghv (reporter)
2009-04-04 12:36

Hi sdalia,

Can you upload your shell script? This will benefit the community.

Regards,
Anjani

- Issue History
Date Modified Username Field Change
2009-02-12 00:42 hansolo New Issue
2009-02-12 00:42 hansolo Browser => firefox
2009-02-12 00:42 hansolo PHP Version => 5.2.6
2009-04-04 02:00 sdalia Note Added: 0006203
2009-04-04 02:14 hansolo Note Added: 0006204
2009-04-04 12:36 aksinghv Note Added: 0006205
2015-05-03 08:55 fman QA Team - Task Workflow Status => TBD
2015-05-03 08:55 fman Status new => closed
2015-05-03 08:55 fman Assigned To => fman
2015-05-03 08:55 fman Resolution open => fixed
2015-05-03 08:55 fman Fixed in Version => 1.9.14 (2015 Q3)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker